// Inhalt des aktuellen Tabs lesen
(() => {
    // Titel der Seite
    const pageTitle = document.title;

    // Beispiel: YouTube Videotitel aus dem DOM abrufen
    let videoTitle = "";
    if (window.location.host.includes("youtube.com")) {
        const metaTitle  = document.querySelector('meta[name="title"]');
        if (metaTitle) {
            videoTitle = metaTitle.content; // `content`-Attribut des Meta-Tags
        }
    }

    // Rückgabe der Informationen
    browser.runtime.sendMessage({
        //title: pageTitle,
        videoTitle: videoTitle || "Kein YouTube-Video erkannt"
    });
})();